org.apache.ignite.client

## Class ClientRetryAllPolicy

- java.lang.Object
- - org.apache.ignite.client.ClientRetryAllPolicy

All Implemented Interfaces:
  Serializable, ClientRetryPolicy

    public class ClientRetryAllPolicy
    extends Object
    implements ClientRetryPolicy

Retry policy that always returns `true`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ClientRetryAllPolicy()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `shouldRetry(ClientRetryPolicyContext context)` Gets a value indicating whether a client operation that has failed due to a connection issue should be retried.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientRetryAllPolicy

    public ClientRetryAllPolicy()

### Method Detail

#### shouldRetry

    public boolean shouldRetry(ClientRetryPolicyContext context)

Gets a value indicating whether a client operation that has failed due to a connection issue should be retried.

Specified by:
  `shouldRetry` in interface `ClientRetryPolicy`
Parameters:
  `context` - Context.
Returns:
  `true` if the operation should be retried on another connection, `false` otherwise.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022